<style>
    .ui-button-icon-only {
        width: 2em!important; /* override style.css auto width */
    }
.field {
  padding: 7px 0.5em!important;
  outline: none;
  min-width: 50px;
  margin-top: 0px;
}
.field .show-hide.ng-hide-add,
.field .show-hide.ng-hide-remove {
  -webkit-backface-visibility: hidden;
  -webkit-perspective: 1000;
  -webkit-transform: translate3d(0, 0, 0);
  -moz-transform: translate3d(0, 0, 0);
  -ms-transform: translate3d(0, 0, 0);
  -o-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
  -webkit-transition: all 50ms ease-in-out;
  -moz-transition: all 50ms ease-in-out;
  transition: all 50ms ease-in-out;
  display: block!important;
  position: absolute;
}
.field .show-hide.ng-hide-add.ng-hide-add-active,
.field .show-hide.ng-hide-remove {
  top: -8px;
  display: block!important;
  position: absolute;
  opacity: 0;
}
.field .show-hide.ng-hide-add,
.field .show-hide.ng-hide-remove.ng-hide-remove-active {
  top: -10px;
  opacity: 1;
  display: block!important;
  position: absolute;
}
.field {
  position: relative;
  margin-bottom: 0.5em;
}
.field label {
  position: absolute;
  top: -22px;
  left: 0.3em;
  width: 100%;
  white-space: nowrap !important;
  padding-left: 0.3em;
  font-size: 14px;
  color: #aaa;
  font-weight: normal;
}
.field input[type=text],
input[type=tel],
input[type=search],
input[type=email] {
  padding: 7px 0.5em!important;
  outline: none;
  min-width: 50px;
  margin-top: 0px;
}
.field > textarea {
  padding: 7px 0.5em!important;
  outline: none;
  min-width: 50px;
  margin-top: 0px;
}
.msg-error {
  color: red;
}

.allNotes {
    max-height: 450px;
    overflow: auto;
}
</style>
<script>
    function showPackages() {
        $('#divPackages').dialog({ width: '80%', height: 600, minWidth: '60%' });

    }

    function showNotes() {
        $('#divNotes').dialog({ width: '80%', height: 600, minWidth: '60%' });

    }
</script>
<div class="container-fluid height100">
	<section id="topinner">
		<h3 class="toptitle">
			Registered Account #{{itemId}}
			
            <button style="font-size:14px; display: inline" class="pull-right" onclick="showPackages();">Ghost Shipment</button>
            <button style="font-size:14px; margin-right: 5px; display: inline" class="pull-right" onclick="showNotes();">Account History</button>
		</h3>
        <input type="hidden" id="hdnTranID" value="{{itemId}}" />
	</section>


	<ng-include data-src="templateUrl"></ng-include>


    <div id="divPackages" class="consolidated-package" style="display: none">

            <div style="float:left;font-size:small;">* Indicates Required Field</div>
            <div style="float:right;font-size:small;">
                <a href="javascript:;" class="link-top" onclick='window.open("/Pages/prohibited", "_blank", "width=800,height=600,titlebar=no,toolbar=no");'
                   title="Check prohibited itens">Check prohibited items</a>
            </div>
            <div style="clear:both;">&nbsp;</div>
            <h3 style="margin-top:0px;">PACKAGES DETAILS</h3>
            <div class="col col-md-3" >
                <span>Please enter your package details here *</span><br><br>
            </div>

            <div class="col-md-9">

                <div class="box-aditional">
                    <div class="s3_boxPkgDetail"
                         ng-repeat="(package_index, package) in quickship.$storage.quickship.packages track by $index">
                        <div class="box-item">
                            <div class="row">
                                <h3 class="hs-package-title">Package {{$index+1}}</h3>
                            </div>
                            <br/>
                            <div class="row hs-packages-dimensions">
                                <div class="col col-form-field"
                                     ng-class="{'col-md-2': !quickship.$storage.quickship.consolidatePackages || !quickship.hasConsolidatedPackages(package_index), 'col-md-4': quickship.hasConsolidatedPackages(package_index)}">

                                        <label
                                               class="show-hide">Weight *</label>
                                        <input type="number"  name="package_{{$index}}_weight"
                                               ng-model="package.weight"
                                               class="s3_copyWeight form-control required"
                                               placeholder="Weight *">

                                    <span class="msg-error"
                                          ng-show="!hasValidWeight(personalFrmdata, $index)">Required field</span>
                                </div>
                                <div class="col col-form-field col-md-2">

                                        <label
                                               class="show-hide">Weight Unit *</label>
                                        <select name="packages_{{$index}}_weight_unit"
                                                ng-model="quickship.$storage.quickship.packages[package_index].weight_unit"
                                                class="s3_copyUnit form-control required">
                                            <option value="lb" selected="{{quickship.$storage.quickship.packages[package_index].weight_unit == 'lb' ? 'selected' : ''}}">lb</option>
                                            <option value="kg" selected="{{quickship.$storage.quickship.packages[package_index].weight_unit == 'kg' ? 'selected' : ''}}">kg</option>
                                        </select>
                                    <span class="msg-error"
                                          ng-show="quickship.validatesPackageDetails === false && personalFrmdata.packages_{{package_index}}_weight_unit.$error.required">required field.</span>
                                </div>
                                <div class="col col-form-field col-md-2">

                                        <label
                                               class="show-hide">Length *</label>
                                        <input type="number"  name="packages_{{$index}}_length"
                                               class="form-control required" placeholder="Length *" value=""
                                               ng-model="quickship.$storage.quickship.packages[package_index].length">

                                    <span class="msg-error"
                                          ng-show="quickship.validatesPackageDetails === false && personalFrmdata.packages_{{package_index}}_length.$error.required">required field.</span>
                                </div>
                                <div class="col col-form-field col-md-2">

                                        <label
                                               class="show-hide">Width *</label>
                                        <input type="number"  name="packages_{{$index}}_width"

                                               class="form-control required" placeholder="Width *" value=""
                                               ng-model="quickship.$storage.quickship.packages[$index].width">

                                    <span class="msg-error"
                                          ng-show="quickship.validatesPackageDetails === false && personalFrmdata.packages_{{$index}}_width.$error.required">required field.</span>
                                </div>
                                <div class="col col-form-field col-md-2">

                                        <label
                                               class="show-hide">Height *</label>
                                        <input type="number"  name="packages_{{$index}}_height"

                                               ng-model="quickship.$storage.quickship.packages[$index].height"
                                               class="form-control required" placeholder="Height *" value="">

                                    <span class="msg-error"
                                          ng-show="quickship.validatesPackageDetails === false && personalFrmdata.packages_{{$index}}_height.$error.required">required field.</span>
                                </div>

                                <div class="col col-form-field col-md-2">

                                        <label
                                               class="show-hide">Size Unit *</label>
                                        <select name="packages_{{$index}}_size_unit"
                                                class="form-control required"
                                                ng-model="quickship.$storage.quickship.packages[$index].size_unit"
                                                placeholder="Unit *">
                                            <option value="in" selected="{{quickship.$storage.quickship.packages[package_index].size_unit == 'in' ? 'selected' : ''}}">in</option>
                                            <option value="cm" selected="{{quickship.$storage.quickship.packages[package_index].size_unit == 'cm' ? 'selected' : ''}}">cm</option>
                                        </select>

                                    <span class="msg-error"
                                          ng-show="quickship.validatesPackageDetails === false && personalFrmdata.packages_{{$index}}_size_unit.$error.required">required field.</span>
                                </div>
                                
                                
                            </div>
                            <div class="row">
                                <div class="col col-md-6" style="margin-left:-10px;">

                                        <label
                                               class="show-hide">Tracking code</label>
                                        <input type="text" placeholder="Tracking code" class="form-control"
                                               ng-model="quickship.$storage.quickship.packages[$index].tracking_code">

                                </div>
                                <div class="col col-md-6">

                                        <label
                                               class="show-hide">Carrier</label>
                                        <input type="text" name="packages_{{$index}}_carrier"
                                               ng-model="quickship.$storage.quickship.packages[$index].carrier"
                                               class="form-control"
                                               placeholder="Carrier">

                                </div>
                            </div>
                            <div class="row action"
                                 ng-show="(quickship.$storage.quickship.packages.length > 1) && (quickship.$storage.read_only_packages === false)">
                                <div class="col col-md-12">
                                    <button type="button" class="btn btn-danger s3_delPkgDetail"
                                            ng-click="deletePackage($index)">Remove
                                    </button>
                                </div>
                            </div>
                            <!-- /.row.action -->
                        </div>
                        <!-- /.box-item -->
                    </div>
                    <div class="text-right">
                        <div class="col col-md-12">
                            <button type="button" class="btn btn-success s3_addPkgDetail hide"
                                    ng-click="addPackage()">Add another package
                            </button>
                        </div>
                    </div>
                    <div class="group">
                        <div class="row hide">
                            <h2>Item Details </h2>

                            <div class="col col-md-3">
                                For each package, please enter the details of each item for customs. *
                            </div>
                            <div class="col col-md-9">
                                <div class="row s3_itemDetailWrapTabs">
                                    <div class="messageTabs"></div>

                                    <div>

                                        <!-- Nav tabs -->
                                        <ul class="nav nav-tabs hide" role="tablist">
                                            <li ng-click="setActiveTab($index)" ng-repeat="(package_index, package_detail) in quickship.$storage.quickship.packages track by $index" role="presentation" ng-class="{'active': activeDetailTab == package_index, 'inactive': activeDetailTab != package_index, 'tab-error': hasInvalidTabData(package_index, personalFrmdata)}"><a href="javascript:;" aria-controls="home" role="tab" data-toggle="tab">Package {{package_index+1}}</a></li>
                                        </ul>

                                        <!-- Tab panes -->
                                        <div class="tab-content">
                                            <div ng-repeat="(package_index, package_detail) in quickship.$storage.quickship.packages track by $index" role="tabpanel" class="tab-pane active" ng-hide="activeDetailTab != package_index" id="item_{{package_index}}">
                                                <div class="s3_boxItemDetail">
                                                    <div class="s3_itemDetail hide"
                                                         ng-repeat="(item_index, item_value) in package_detail.items track by $index">
                                                        <div class="row hide">
                                                            <div class="col col-md-4">

                                                                    <label
                                                                           class="show-hide">Item description *</label>
                                                                    <input type="text"
                                                                           name="packages_{{package_index}}_items_{{item_index}}_description"
                                                                           ng-model="quickship.$storage.quickship.packages[package_index].items[item_index].description"
                                                                           class="form-control required"
                                                                           value="1"
                                                                           placeholder="Item description *">

                                                                <span class="msg-error"
                                                                      ng-show="quickship.validatesPackageDetails === false && personalFrmdata.packages_{{package_index}}_items_{{item_index}}_description.$error.required">required field.</span>
                                                            </div>
                                                            <div class="col col-form-field col-md-4">

                                                                    <label
                                                                           class="show-hide">Quantity *</label>
                                                                    <input type="number"
                                                                           name="packages_{{package_index}}_items_{{item_index}}_quantity"
                                                                           ng-model="quickship.$storage.quickship.packages[package_index].items[item_index].quantity"
                                                                           class="form-control required" placeholder="Quantity *"
                                                                           value="1">

                                                                <span class="msg-error"
                                                                      ng-show="quickship.validatesPackageDetails === false && personalFrmdata.packages_{{package_index}}_items_{{item_index}}_quantity.$error.required">required field.</span>
                                                            </div>
                                                            <div class="col col-form-field col-md-2">

                                                                    <label ng-show=""
                                                                           class="show-hide">Weight *</label>
                                                                    <input name="packages_{{package_index}}_items_{{item_index}}_weight"
                                                                           type="number"
                                                                           ng-model="$parent.quickship.$storage.quickship.packages[package_index].items[item_index].weight"
                                                                           class="form-control required" placeholder="Weight *"
                                                                           required>

                                                                <span class="msg-error"
                                                                      ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{package_index}}_items_{{item_index}}_weight.$error.required">required field.</span>
                                                            </div>
                                                            <div class="col col-form-field col-md-2">

                                                                    <label ng-show=""
                                                                           class="show-hide">Weight Unit *</label>
                                                                    <select name="packages_{{package_index}}_items_{{item_index}}_weight_unit"
                                                                            ng-model="$parent.quickship.$storage.quickship.packages[package_index].items[item_index].weight_unit"
                                                                            class="form-control required" required>
                                                                        <option value="lb">lb</option>
                                                                        <option value="kg">kg</option>
                                                                    </select>
                                                                <span class="msg-error"
                                                                      ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{package_index}}_items_{{item_index}}_weight_unit.$error.required">required field.</span>
                                                            </div>

                                                        </div>
                                                        <div class="row">
                                                            <div class="col col-md-4">
                                                                    <label ng-show=""
                                                                           class="show-hide">Type of content *</label>
                                                                    <select name="packages_{{package_index}}_items_{{item_index}}_type_id"
                                                                            class="form-control required"
                                                                            ng-model="quickship.$storage.quickship.packages[package_index].items[item_index].type_id"
                                                                            required>
                                                                        <option value="">-- Type of content * --</option>
                                                                        <option ng-repeat="(item_type_id, item_type_name) in itemTypes"
                                                                                value="{{item_type_id}}">{{item_type_name}}
                                                                        </option>
                                                                    </select>
                                                                <span class="msg-error"
                                                                      ng-show="quickship.validatesPackageDetails === false && personalFrmdata.packages_{{package_index}}_items_{{item_index}}_type_id.$error.required">required field.</span>
                                                            </div>
                                                            <div class="col col-md-4">

                                                                    <label ng-show=""
                                                                           class="show-hide">Country of origin *</label>
                                                                    <select name="packages_{{package_index}}_items_{{item_index}}_country_id"
                                                                            id="s1_personalCountry"
                                                                            class="form-control required" required
                                                                            ng-model="quickship.$storage.quickship.packages[package_index].items[item_index].country_id">
                                                                        <option value="">-- Country of origin * --</option>
                                                                        <option value="{{country.value}}"
                                                                                ng-repeat="(c_index, country) in $parent.countries">
                                                                            {{country.text}}
                                                                        </option>
                                                                    </select>
                                                                <span class="msg-error"
                                                                      ng-show="quickship.validatesPackageDetails === false && personalFrmdata.packages_{{package_index}}_items_{{item_index}}_country_id.$error.required">required field.</span>
                                                            </div>
                                                            <div class="col col-form-field col-md-2">

                                                                    <label ng-show="" class="show-hide">Value *</label>
                                                                    <input type="text"
                                                                           name="packages_{{package_index}}_items_{{item_index}}_value"
                                                                           ng-model="quickship.$storage.quickship.packages[package_index].items[item_index].price_value"
                                                                           class="form-control required" placeholder="Value *" required
                                                                           money-prefix>

                                                                <span class="msg-error"
                                                                      ng-show="quickship.validatesPackageDetails === false && (personalFrmdata.packages_{{package_index}}_items_{{item_index}}_value.$error.required || quickship.$storage.quickship.packages[package_index].items[item_index].price_value.length < 2)">required field.</span>
                                                            </div>

                                                            <div class="col col-md-1">
                                                                <button type="button" class="btn btn-danger"
                                                                        ng-click="deleteItem(package_index, item_index)"
                                                                        ng-show="quickship.$storage.quickship.packages[package_index].items.length > 1">
                                                                    Remove
                                                                </button>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="row action">
                                                        <div class="col col-md-12">
                                                            <button type="button" class="btn btn-success s3_addItemDetail"
                                                                    ng-click="addItem($index)">Add Item
                                                            </button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <br/><br/>
                    <!-- /.s3_boxPkgDetail -->
                    <div class="text-right">
                        <div class="col col-md-12">
                            <div id="divPleaseWait" class="text-center" style="padding: 10px;display:none;">
                                <img src="/img/loading.gif" alt="loading" style="width:30px;" />
                                Please Wait...
                            </div>
                            <button type="button" class="btn btn-success" ng-click="saveGhostShipment(personalFrmdata)">Save</button>
                        </div>
                    </div>


                </div>

            </div>
            <!-- /.col-md-9 -->

    </div>

</div>

<div id="divNotes" style="display:none">
    <div class="row">
        <h3 style="width: 100%" class="pull-left clearfix">History</h3>
        <div class="col-md-12 allNotes">
            <div class="notes-history-account">
            </div>

            <div class="notes-history row" ng-repeat="history in Notes | orderBy: -history.created">
                <div class="col-md-5 col-sm-5 col-xs-5">{{history.created}}</div>
                <div class="col-md-7 col-sm-7 col-xs-7">{{history.note}}</div>
            </div>

        </div>

        <div class="col-md-12">
            <div class="notes-add-edit">
                <div style="margin-right:5px; margin-top: 30px">
                    Add New: <input type="text" name="note-desc" ng-model="newNote"  id="noteDesc" style="width:80%;" value=""/>
                    <button id="btnSaveBalanceDue" ng-click="saveNote(null, registered.User.id, 'y')" ng-disabled="!newNote" ng-class="{disableclass: newNote == ''}" style="display:inline-block;">Save</button>
                </div>
                <span class="success" style="color: #ff5c5c" ng-if="noteAddResponse">{{noteAddResponse}}</span>
            </div>
        </div>
    </div>
</div>